package productlogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-product-service/gen_result/pb/product"
	"code.30cm.net/digimon/app-cloudep-product-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type DeleteTagsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteTagsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteTagsLogic {
	return &DeleteTagsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// DeleteTags 刪除tags
func (l *DeleteTagsLogic) DeleteTags(in *product.TagsReq) (*product.OKResp, error) {
	err := l.svcCtx.TagsUseCase.Delete(l.ctx, in.GetId())
	if err != nil {
		return nil, err
	}
	
	return &product.OKResp{}, nil
}
